#include "xfxelemmarkvisuals.h"

XFxElemMarkVisuals::XFxElemMarkVisuals()
    : XAsset()
    , mMaterialPtrs()
    , mMaterials()
{
    SetName("Element Mark Visuals");
}

void XFxElemMarkVisuals::Clear()
{
    mMaterialPtrs.clear();
    mMaterials.clear();
}

void XFxElemMarkVisuals::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XFxElemMarkVisuals::ParseData
}
